%define upstream_name    Dist-Zilla-Plugin-Test-TrailingSpace
%define upstream_version 0.4.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Test for trailing whitespace
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Dist-Zilla plugin for testing for trailing whitespace.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.4.0-2.mga10
+ Revision: 2222159
- Mageia 10 Mass Rebuild

* Sat Apr 13 2024 tv <tv> 0.4.0-1.mga10
+ Revision: 2056909
- update to 0.4.0

* Mon Mar 21 2022 umeabot <umeabot> 0.2.1-2.mga9
+ Revision: 1813473
- Mageia 9 Mass Rebuild

* Wed Oct 21 2020 tv <tv> 0.2.1-1.mga8
+ Revision: 1637432
- update to 0.2.1

* Wed Feb 12 2020 umeabot <umeabot> 0.2.0-5.mga8
+ Revision: 1494410
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.2.0-4.mga7
+ Revision: 1267671
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.2.0-3.mga6
+ Revision: 1026630
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.2.0-2.mga6
+ Revision: 966782
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.2.0-1.mga6
+ Revision: 846798
- update to 0.2.0

* Sun Oct 19 2014 shlomif <shlomif> 0.0.2-2.mga5
+ Revision: 791840
- Add BRs
- Rebuild
- Add description
- imported package perl-Dist-Zilla-Plugin-Test-TrailingSpace


* Wed Dec 04 2013 cpan2dist 0.0.2-1mga
- initial mageia release, generated with cpan2dist
